Scilab build: enable jdk8 build
[scilab.git] / scilab / m4 / java.m4
index d635254..6e7504f 100644 (file)
@@ -223,7 +223,7 @@ EOF
 #
 # VARIABLES SET:
 #    JAVAC
-#    ac_java_jvm_version can be set to 1.4, 1.5, 1.6 or 1.7
+#    ac_java_jvm_version can be set to 1.4, 1.5, 1.6, 1.7, 1.8
 #    ac_java_jvm_dir can be set to the jvm's root directory
 #
 # DEPENDS ON:
@@ -307,6 +307,9 @@ Maybe JAVA_HOME is pointing to a JRE (Java Runtime Environment) instead of a JDK
     # The class java.nio.file.Path is new to 1.7
     AC_JAVA_TRY_COMPILE([import java.nio.file.Path;], , "no", ac_java_jvm_version=1.7)
 
+    # The class java.util.stream.DoubleStream is new to 1.8
+    AC_JAVA_TRY_COMPILE([import java.util.stream.DoubleStream;], , "no", ac_java_jvm_version=1.8)
+
     if test "x$ac_java_jvm_version" = "x" ; then
         AC_MSG_ERROR([Could not detect Java version, 1.4 or newer is required])
     fi